View Issue Details

IDProjectCategoryView StatusLast Update
0014461ScribusTranslationpublic2019-06-04 20:56
ReporterKunda Assigned ToKunda  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinuxOSManjaroOS Version16.10
Product Version1.5.3.svn 
Target VersionFuture Release - Low PriorityFixed in Version1.5.4.svn 
Summary0014461: The '\n' within the <source> tag is missing in <translation> tag
DescriptionString:
Imports most Xfig files into the current document,\nconverting their vector data into Scribus objects.


Code: https://github.com/scribusproject/scribus/blob/master/scribus/plugins/import/xfig/importxfigplugin.cpp#L75

Transifex issue: https://www.transifex.com/scribus/scribus/translate/#af/$/50101078?issue=yes

Additional Informationcc @bubu
Tagsl10n, upstream
PatchNo

Relationships

related to 0014460 closedjghali "TabWidget" showing up in translation 
related to 0014459 closedcbradney Proposal to change tooltip string for Shadowed Text 
related to 0014506 closedcbradney Some of the <translation> tags are not identical to their <source> in en_US.ts 

Activities

jghali

2016-12-13 08:30

administrator   ~0042950

\n is an escape sequence for a new line in C/C++. It is correctly interpreted as such by Qt lupdate and encoded as a new line in the ts file.

Kunda

2016-12-13 16:49

manager   ~0042958

Jean, then I suggest we remove it or hardcore a newline

jghali

2016-12-13 23:03

administrator   ~0042967

1) we won't remove it
2) c/c++ requires using \n or \r\n to hardcode a newline in a string. See for eg http://stackoverflow.com/questions/4529639/how-to-put-a-break-line-in-string

Kunda

2016-12-13 23:54

manager   ~0042974

@jghali
I'm not disagreeing with you on a technical basis but if you disregard this issue
a majority of the translators will translate this incorrectly then. Is that Ok with you?

This is the string they will see:
"Imports most Xfig files into the current document,converting their vector data into Scribus objects."

jghali

2016-12-14 00:12

administrator   ~0042977

Kunda, this is a transifex issue. We can't do nothing here. Please inform the transifex guys. The Qt translation system works perfectly with those escape sequence.

Kunda

2016-12-16 11:57

manager   ~0043060

Sent a message to Transifex support.

Kunda

2016-12-20 20:14

manager   ~0043117

jghali, i'm reopening this to track the issue.

Response from Transifex:

Hi there,

I'm not quite sure what's the behavior you guys are expecting.

Transifex is showing exactly what's being uploaded from the below source file, I suppose.

https://raw.githubusercontent.com/scribusproject/scribus/master/resources/translations/scribus.en_US.ts

Which actually has a line break, rather than a `\n`as you can see below in the related snippet extracted from the above file.

    <message>
        <location filename="../../scribus/plugins/import/xfig/importxfigplugin.cpp" line="75"/>
        <source>Imports most Xfig files into the current document,
converting their vector data into Scribus objects.</source>
        <translation>Imports most Xfig files into the current document,converting their vector data into Scribus objects.</translation>
    </message>

Thanks,

--
Diego Búrigo Zacarão
| Transifex

Kunda

2016-12-24 11:26

manager   ~0043180

Last edited: 2016-12-24 11:27

View 3 revisions

@jghali take a look at the lastest trunk version of en_US.ts
https://www.scribus.net/websvn/filedetails.php?repname=Scribus&path=%2Ftrunk%2FScribus%2Fresources%2Ftranslations%2Fscribus.en_US.ts&peg=21675

It shows a difference between the <source> and the <translation> content:
    <message>
        <location filename="../../scribus/plugins/import/xfig/importxfigplugin.cpp" line="75"/>
        <source>Imports most Xfig files into the current document,
converting their vector data into Scribus objects.</source>
        <translation>Imports most Xfig files into the current document,converting their vector data into Scribus objects.</translation>

    </message>
    <message>
        <location filename="../../scribus/plugins/import/xfig/importxfigplugin.cpp" line="122"/>

Why are they not 100% identical?

Kunda

2016-12-24 12:18

manager   ~0043181

Opened 0014506 to show the problem elsewhere in en_US.ts

Kunda

2016-12-24 12:29

manager   ~0043182

Renamed ticket for more clarity

Issue History

Date Modified Username Field Change
2016-12-13 00:13 Kunda New Issue
2016-12-13 00:13 Kunda Tag Attached: l10n
2016-12-13 00:19 Kunda Relationship added related to 0014460
2016-12-13 00:19 Kunda Relationship added related to 0014459
2016-12-13 08:30 jghali Note Added: 0042950
2016-12-13 08:41 jghali Assigned To => jghali
2016-12-13 08:41 jghali Status new => resolved
2016-12-13 08:41 jghali Resolution open => no change required
2016-12-13 08:41 jghali Status resolved => closed
2016-12-13 16:49 Kunda Note Added: 0042958
2016-12-13 23:03 jghali Note Added: 0042967
2016-12-13 23:54 Kunda Note Added: 0042974
2016-12-14 00:12 jghali Note Added: 0042977
2016-12-16 11:57 Kunda Note Added: 0043060
2016-12-16 12:37 Kunda Tag Attached: upstream
2016-12-20 20:14 Kunda Assigned To jghali => Kunda
2016-12-20 20:14 Kunda Status closed => assigned
2016-12-20 20:14 Kunda Note Added: 0043117
2016-12-24 11:26 Kunda Note Added: 0043180
2016-12-24 11:26 Kunda Note Edited: 0043180 View Revisions
2016-12-24 11:27 Kunda Note Edited: 0043180 View Revisions
2016-12-24 12:18 Kunda Note Added: 0043181
2016-12-24 12:18 Kunda Relationship added child of 0014506
2016-12-24 12:29 Kunda Summary confusion with '\n' in translation string => '\n' <source> tag is missing in <translation> tag
2016-12-24 12:29 Kunda Note Added: 0043182
2016-12-24 12:30 Kunda Summary '\n' <source> tag is missing in <translation> tag => The '\n' within the <source> tag is missing in <translation> tag
2017-01-18 21:40 cbradney Relationship deleted child of 0014506
2017-01-18 21:40 cbradney Relationship added related to 0014506
2018-01-07 06:49 cbradney Status assigned => resolved
2018-01-07 06:49 cbradney Resolution no change required => fixed
2018-01-07 06:49 cbradney Fixed in Version => 1.5.4.svn
2019-06-04 20:56 cbradney Status resolved => closed